Attribute VB_Name = "Primitives"
' Copyright: Vladislav Petrovskiy (aka firehacker)
' For: http://bbs.vbstreets.ru/viewtopic.php?f=1&t=45726


Public Type PRIMITIVE_POINT
    v               As VECTOR2
End Type

Public Type PRIMITIVE_ARC_C2P
    Center          As PRIMITIVE_POINT
    StartPoint      As PRIMITIVE_POINT
    EndPoint        As PRIMITIVE_POINT
    bInitialized    As Boolean
End Type

'
'     
'
Public Function PGetDistance(pa As PRIMITIVE_POINT, pb As PRIMITIVE_POINT) As Double
    PGetDistance = V2GetLength(V2Sub(pa.v, pb.v))
End Function

'
'     ,    
'
Public Function PGetImplLineCentralPoint(p1 As PRIMITIVE_POINT, p2 As PRIMITIVE_POINT) As PRIMITIVE_POINT
    PGetImplLineCentralPoint.v = V2Lerp(p1.v, p2.v, 0.5)
End Function
